import { Size } from '../models/size';
export declare class SizeService {
    constructor();
    /**
     * Get all sizes
     *
     * ### Example
     * ```js
     * import { DigitalOcean } from 'digitalocean-js';
     *
     * const client = new DigitalOcean('your-api-key');
     * const sizes = await client.sizes.getAllSizes();
     * ```
     */
    getAllSizes(): Promise<Size[]>;
}
