import { AccountService } from './services/account-service';
import { ActionService } from './services/actions-service';
import { BillingHistoryService } from './services/billing-history-service';
import { BlockStorageActionService } from './services/block-storage-actions-service';
import { BlockStorageService } from './services/block-storage-service';
import { CdnService } from './services/cdn-service';
import { CertificateService } from './services/certificate-service';
import { DomainRecordService } from './services/domain-record-service';
import { DomainService } from './services/domain-service';
import { DropletActionService } from './services/droplet-actions-service';
import { DropletService } from './services/droplet-service';
import { FirewallService } from './services/firewall-service';
import { FloatingIPActionService } from './services/floating-ip-actions-service';
import { FloatingIPService } from './services/floating-ip-service';
import { ImageActionService } from './services/image-actions-service';
import { ImageService } from './services/image-service';
import { KubernetesService } from './services/kubernetes-service';
import { LoadBalancerService } from './services/load-balancer-service';
import { ProjectService } from './services/project-service';
import { RegionService } from './services/region-service';
import { SizeService } from './services/size-service';
import { SnapshotService } from './services/snapshot-service';
import { SshService } from './services/ssh-service';
import { TagService } from './services/tag-service';
export declare class DigitalOcean {
    private token;
    account: AccountService;
    actions: ActionService;
    billingHistory: BillingHistoryService;
    blockStorage: BlockStorageService;
    blockStorageActions: BlockStorageActionService;
    cdn: CdnService;
    certificates: CertificateService;
    domains: DomainService;
    domainRecords: DomainRecordService;
    droplets: DropletService;
    dropletActions: DropletActionService;
    firewalls: FirewallService;
    floatingIPs: FloatingIPService;
    floatingIPActions: FloatingIPActionService;
    images: ImageService;
    imageActions: ImageActionService;
    kubernetes: KubernetesService;
    loadBalancers: LoadBalancerService;
    projects: ProjectService;
    regions: RegionService;
    sizes: SizeService;
    snapshots: SnapshotService;
    ssh: SshService;
    tags: TagService;
    constructor(token: string, url?: string);
}
